%define ver_major 0.13
%define cvsdate 20030204
%undefine cvsdate

# Uncomment exactly one of the following (the best choice is the lowest):
#define gecko_provider thunderbird
#define gecko_provider mozilla
#define gecko_provider seamonkey
%define gecko_provider firefox

Name: devhelp
Version: %ver_major
Release: alt1

Summary: Developer's help program
Summary(be_BY.UTF-8): Сыстэма даведкі для распрацоўніка ў асяродьдзі GNOME
Summary(ru_RU.UTF-8): Справочная система для разработчика в среде GNOME
License: GPL
Group: Development/Other
Url: http://www.gnome.org

%ifndef cvsdate
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
%else
Source: %name-%version-%cvsdate.tar.bz2
%endif

# From configure.in
%define glib_ver 2.6.0
%define gtk_ver 2.6.0
%define libglade_ver 2.4.0
%define libwnck_ver 2.10.0
%define GConf_ver 2.6.0

Requires: lib%name = %version-%release

PreReq: GConf2 >= %GConf_ver
PreReq: %gecko_provider
Requires: glib2 >= %glib_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libglade2 >= %libglade_ver

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel >= %libglade_ver
BuildPreReq: libwnck-devel >= %libwnck_ver
BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: libGConf2-devel >= %GConf_ver
BuildPreReq: %gecko_provider-devel

BuildRequires: GConf2 gcc-c++ libpopt-devel perl-XML-Parser zlib-devel

%description
A developers help program.

%description -l be_BY.UTF-8
Даведкавая сыстэма для распрацоўніка у асяродзьдзі GNOME.

%description -l ru_RU.UTF-8
Справочная система для разработчика в среде GNOME.

%package -n lib%name
Summary: Devhelp widgets library
Summary(be_BY.UTF-8): Бібліятэка віджэтаў Devhelp
Summary(ru_RU.UTF-8): Библиотека виджетов Devhelp
Group: System/Libraries
Requires: %gecko_provider

%description -n lib%name
This package provides shared library required for Devhelp to work.

%description -l be_BY.UTF-8 -n lib%name
Гэты пакет утрымлівае неабходную для працы Devhelp бібіліятэку.

%description -l ru_RU.UTF-8 -n lib%name
Пакет предостовляет необходимую для работы  Devhelp библиотеку.

%package -n lib%name-devel
Summary: Devhelp widgets headers
Summary(be_BY.UTF-8):	Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name
Summary(ru_RU.UTF-8):	Файлы разработки нужные для построения приложений с %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides files required to develop programs that use
Devhelp widgets.

%description -n lib%name-devel -l be_BY.UTF-8
Файлы распрацоўкі патрэбныя для пабудовы дастасаваньняў з %name

%description -n lib%name-devel -l ru_RU.UTF-8
Файлы разработки нужные для построения приложений с %name

%define _devhelpdir %_datadir/%name

%prep
%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%cvsdate
%endif

%build
%ifdef cvsdate
NOCONFIGURE=1 ./autogen.sh
%endif
%configure \
	--disable-static \
	--disable-install-schemas

%make_build

%install
%makeinstall

# Create some directories in %name hierarchy
%__mkdir_p %buildroot%_devhelpdir/{specs,books}

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%dir %_devhelpdir
%dir %_devhelpdir/specs
%dir %_devhelpdir/books
%_devhelpdir/dtd
%_devhelpdir/images
%_devhelpdir/ui
%_devhelpdir/*.glade
%_devhelpdir/default-prefs.js
%_datadir/applications/*
%_liconsdir/devhelp.*
%_iconsdir/hicolor/scalable/apps/devhelp.svg
%exclude %_iconsdir/hicolor/icon-theme.cache
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

# TODO: gedit plugin files

%changelog
* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 0.13-alt1
- new version 0.13 (with rpmrb script)

* Tue Dec 19 2006 Alexey Rusakov <ktirf@altlinux.org> 0.12-alt2
- switch Gecko backend to Firefox.
- minor cleanup.

* Fri Jul 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.12-alt1
- new version 0.12.
- updated files list (GEdit plugin is not included yet).

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.11-alt1
- new version (0.11)
- cleaned up the spec, revised dependencies
- introduced gecko_provider switch (choose from mozilla, seamonkey, FF, and TB).
- removed Debian menu support.

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.10-alt1
- 0.10

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Tue Aug 17 2004 Vital Khilko <vk@altlinux.ru> 0.9.1-alt2
- updated belarusian translations.

* Sun Jul 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1
- use freedesktop2menu.pl to build menu file.
- updated translations.

* Fri Jul 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1.1
- rebuild against new mozilla-1.7

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- 0.9

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt2
- fixed buildreqs.

* Sun Jun 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Mon Apr 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.0-alt0.7
- 0.5.0

* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.99-alt0.6cvs20030204
- gnome2 version from cvs crashes on startup.

* Sun May 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4-alt1
- First build for Sisyphus.
